> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/move-raspubitem.md).

# Move-RASPubItem

### NAME

Move-RASPubItem\ <br>

### SYNOPSIS

Moves a published item in the Published Resources tree.\ <br>

### SYNTAX

Move-RASPubItem -[Id](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Move-RASPubItem.html#Id) *\<uint>* \[-[ParentId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Move-RASPubItem.html#ParentId) *\<uint>*] \[-[PreviousId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Move-RASPubItem.html#PreviousId) *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Move-RASPubItem.html#CommonParameters)*>*]\
\
Move-RASPubItem \[-[InputObject](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Move-RASPubItem.html#InputObject)] *<*[*PubItem*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/PubItem.html)*>* \[-[ParentId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Move-RASPubItem.html#ParentId) *\<uint>*] \[-[PreviousId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Move-RASPubItem.html#PreviousId) *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Move-RASPubItem.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Moves a published item to a specified node in the Published Resources tree.\ <br>

### PARAMETERS

\
-**Id \<uint>**\
ID of a published item to be moved.\
\
To obtain the published item ID, use the Get-PubItem command.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**InputObject <**[**PubItem**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/PubItem.html)**>**\
The published item object to be moved.\
\
To obtain an object representing a published item, use the Get-PubItem command."\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       true (ByValue)
```

```
        Accept wildcard characters?  false
```

\
-**ParentId \<uint>**\
ID of a new published item parent.\
\
To obtain the published item ID, use the Get-PubItem command.\
\
For the root node, set ParentId to '0' (zero).\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                4294967295
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**PreviousId \<uint>**\
ID of a sibling after which to place the specified published item.\
\
To obtain the sibling item ID, use the Get-PubItem command.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                4294967295
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

[PubItem](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/PubItem.html)

### OUTPUTS

-none-

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Move-RASPubItem -Id 5 -ParentId 12\
\
Places the specified published item under the specified parent (ParentId).\
\
To obtain the parent PubItem ID, use the Get-RASPubItem cmdlet.\
\&#xNAN;**---------- EXAMPLE 2 ----------**\
\
Move-RASPubItem -Id 10 -ParentId 12 -PreviousId 22\
\
Place the specified published item under the specified parent (ParentId) and after the specified sibling item (PreviousId).\
\
To obtain the parent item ID, use the Get-RASPubItem cmdlet.\
\&#xNAN;**---------- EXAMPLE 3 ----------**\
\
$PubItem | Move-RASPubItem -PreviousId 15\
\
Invoke the move pub item command, which is identified by an object obtained from the pipeline output.\
\
To obtain the parent item ID, use the Get-RASPubItem cmdlet.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/move-raspubitem.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
